diff -urpN --exclude-from=/home/davej/.exclude bk-linus/net/netrom/nr_loopback.c linux-2.5/net/netrom/nr_loopback.c
--- bk-linus/net/netrom/nr_loopback.c	2002-11-21 02:25:20.000000000 +0000
+++ linux-2.5/net/netrom/nr_loopback.c	2002-11-21 18:05:48.000000000 +0000
@@ -76,6 +76,9 @@ static void nr_loopback_timer(unsigned l
 		if (dev == NULL || nr_rx_frame(skb, dev) == 0)
 			kfree_skb(skb);
 
+		if (dev != NULL)
+			dev_put(dev);
+
 		if (!skb_queue_empty(&loopback_queue) && !nr_loopback_running())
 			nr_set_loopback_timer();
 	}
